# Uses of Class
java.time.LocalTime

Packages that use LocalTime
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
java.time
The main API for dates, times, instants, and durations.
java.time.chrono
Generic API for calendar systems other than the default ISO.
java.time.temporal
Access to date and time using fields and units, and date time adjusters.
java.time.zone
Support for time-zones and their rules.

## Uses of LocalTime in java.sql

Methods in java.sql that return LocalTime
Modifier and Type
Method
Description
`LocalTime`
Time.`toLocalTime()`
Converts this `Time` object to a `LocalTime`.
Methods in java.sql with parameters of type LocalTime
Modifier and Type
Method
Description
`static Time`
Time.`valueOf(LocalTime time)`
Obtains an instance of `Time` from a `LocalTime` object with the same hour, minute and second time value as the given `LocalTime`.

## Uses of LocalTime in java.time

Fields in java.time declared as LocalTime
Modifier and Type
Field
Description
`static final LocalTime`
LocalTime.`MAX`
The maximum supported `LocalTime`, '23:59:59.999999999'.
`static final LocalTime`
LocalTime.`MIDNIGHT`
The time of midnight at the start of the day, '00:00'.
`static final LocalTime`
LocalTime.`MIN`
The minimum supported `LocalTime`, '00:00'.
`static final LocalTime`
LocalTime.`NOON`
The time of noon in the middle of the day, '12:00'.
Methods in java.time that return LocalTime
Modifier and Type
Method
Description
`static LocalTime`
LocalTime.`from(TemporalAccessor temporal)`
Obtains an instance of `LocalTime` from a temporal object.
`LocalTime`
LocalTime.`minus(long amountToSubtract, TemporalUnit unit)`
Returns a copy of this time with the specified amount subtracted.
`LocalTime`
LocalTime.`minus(TemporalAmount amountToSubtract)`
Returns a copy of this time with the specified amount subtracted.
`LocalTime`
LocalTime.`minusHours(long hoursToSubtract)`
Returns a copy of this `LocalTime` with the specified number of hours subtracted.
`LocalTime`
LocalTime.`minusMinutes(long minutesToSubtract)`
Returns a copy of this `LocalTime` with the specified number of minutes subtracted.
`LocalTime`
LocalTime.`minusNanos(long nanosToSubtract)`
Returns a copy of this `LocalTime` with the specified number of nanoseconds subtracted.
`LocalTime`
LocalTime.`minusSeconds(long secondsToSubtract)`
Returns a copy of this `LocalTime` with the specified number of seconds subtracted.
`static LocalTime`
LocalTime.`now()`
Obtains the current time from the system clock in the default time-zone.
`static LocalTime`
LocalTime.`now(Clock clock)`
Obtains the current time from the specified clock.
`static LocalTime`
LocalTime.`now(ZoneId zone)`
Obtains the current time from the system clock in the specified time-zone.
`static LocalTime`
LocalTime.`of(int hour, int minute)`
Obtains an instance of `LocalTime` from an hour and minute.
`static LocalTime`
LocalTime.`of(int hour, int minute, int second)`
Obtains an instance of `LocalTime` from an hour, minute and second.
`static LocalTime`
LocalTime.`of(int hour, int minute, int second, int nanoOfSecond)`
Obtains an instance of `LocalTime` from an hour, minute, second and nanosecond.
`static LocalTime`
LocalTime.`ofInstant(Instant instant, ZoneId zone)`
Obtains an instance of `LocalTime` from an `Instant` and zone ID.
`static LocalTime`
LocalTime.`ofNanoOfDay(long nanoOfDay)`
Obtains an instance of `LocalTime` from a nanos-of-day value.
`static LocalTime`
LocalTime.`ofSecondOfDay(long secondOfDay)`
Obtains an instance of `LocalTime` from a second-of-day value.
`static LocalTime`
LocalTime.`parse(CharSequence text)`
Obtains an instance of `LocalTime` from a text string such as `10:15`.
`static LocalTime`
LocalTime.`parse(CharSequence text, DateTimeFormatter formatter)`
Obtains an instance of `LocalTime` from a text string using a specific formatter.
`LocalTime`
LocalTime.`plus(long amountToAdd, TemporalUnit unit)`
Returns a copy of this time with the specified amount added.
`LocalTime`
LocalTime.`plus(TemporalAmount amountToAdd)`
Returns a copy of this time with the specified amount added.
`LocalTime`
LocalTime.`plusHours(long hoursToAdd)`
Returns a copy of this `LocalTime` with the specified number of hours added.
`LocalTime`
LocalTime.`plusMinutes(long minutesToAdd)`
Returns a copy of this `LocalTime` with the specified number of minutes added.
`LocalTime`
LocalTime.`plusNanos(long nanosToAdd)`
Returns a copy of this `LocalTime` with the specified number of nanoseconds added.
`LocalTime`
LocalTime.`plusSeconds(long secondstoAdd)`
Returns a copy of this `LocalTime` with the specified number of seconds added.
`LocalTime`
LocalDateTime.`toLocalTime()`
Gets the `LocalTime` part of this date-time.
`LocalTime`
OffsetDateTime.`toLocalTime()`
Gets the `LocalTime` part of this date-time.
`LocalTime`
OffsetTime.`toLocalTime()`
Gets the `LocalTime` part of this date-time.
`LocalTime`
ZonedDateTime.`toLocalTime()`
Gets the `LocalTime` part of this date-time.
`LocalTime`
LocalTime.`truncatedTo(TemporalUnit unit)`
Returns a copy of this `LocalTime` with the time truncated.
`LocalTime`
LocalTime.`with(TemporalAdjuster adjuster)`
Returns an adjusted copy of this time.
`LocalTime`
LocalTime.`with(TemporalField field, long newValue)`
Returns a copy of this time with the specified field set to a new value.
`LocalTime`
LocalTime.`withHour(int hour)`
Returns a copy of this `LocalTime` with the hour-of-day altered.
`LocalTime`
LocalTime.`withMinute(int minute)`
Returns a copy of this `LocalTime` with the minute-of-hour altered.
`LocalTime`
LocalTime.`withNano(int nanoOfSecond)`
Returns a copy of this `LocalTime` with the nano-of-second altered.
`LocalTime`
LocalTime.`withSecond(int second)`
Returns a copy of this `LocalTime` with the second-of-minute altered.
Methods in java.time with parameters of type LocalTime
Modifier and Type
Method
Description
`LocalDateTime`
LocalDate.`atTime(LocalTime time)`
Combines this date with a time to create a `LocalDateTime`.
`int`
LocalTime.`compareTo(LocalTime other)`
Compares this time to another time.
`boolean`
LocalTime.`isAfter(LocalTime other)`
Checks if this time is after the specified time.
`boolean`
LocalTime.`isBefore(LocalTime other)`
Checks if this time is before the specified time.
`static LocalDateTime`
LocalDateTime.`of(LocalDate date, LocalTime time)`
Obtains an instance of `LocalDateTime` from a date and time.
`static OffsetDateTime`
OffsetDateTime.`of(LocalDate date, LocalTime time, ZoneOffset offset)`
Obtains an instance of `OffsetDateTime` from a date, time and offset.
`static OffsetTime`
OffsetTime.`of(LocalTime time, ZoneOffset offset)`
Obtains an instance of `OffsetTime` from a local time and an offset.
`static ZonedDateTime`
ZonedDateTime.`of(LocalDate date, LocalTime time, ZoneId zone)`
Obtains an instance of `ZonedDateTime` from a local date and time.
`long`
LocalDate.`toEpochSecond(LocalTime time, ZoneOffset offset)`
Converts this `LocalDate` to the number of seconds since the epoch of 1970-01-01T00:00:00Z.

## Uses of LocalTime in java.time.chrono

Methods in java.time.chrono that return LocalTime
Modifier and Type
Method
Description
`LocalTime`
ChronoLocalDateTime.`toLocalTime()`
Gets the local time part of this date-time.
`default LocalTime`
ChronoZonedDateTime.`toLocalTime()`
Gets the local time part of this date-time.
Methods in java.time.chrono with parameters of type LocalTime
Modifier and Type
Method
Description
`default ChronoLocalDateTime<?>`
ChronoLocalDate.`atTime(LocalTime localTime)`
Combines this date with a time to create a `ChronoLocalDateTime`.
`final ChronoLocalDateTime<HijrahDate>`
HijrahDate.`atTime(LocalTime localTime)`
`final ChronoLocalDateTime<JapaneseDate>`
JapaneseDate.`atTime(LocalTime localTime)`
`final ChronoLocalDateTime<MinguoDate>`
MinguoDate.`atTime(LocalTime localTime)`
`final ChronoLocalDateTime<ThaiBuddhistDate>`
ThaiBuddhistDate.`atTime(LocalTime localTime)`

## Uses of LocalTime in java.time.temporal

Methods in java.time.temporal that return types with arguments of type LocalTime
Modifier and Type
Method
Description
`static TemporalQuery<LocalTime>`
TemporalQueries.`localTime()`
A query for `LocalTime` returning null if not found.

## Uses of LocalTime in java.time.zone

Methods in java.time.zone that return LocalTime
Modifier and Type
Method
Description
`LocalTime`
ZoneOffsetTransitionRule.`getLocalTime()`
Gets the local time of day of the transition which must be checked with `ZoneOffsetTransitionRule.isMidnightEndOfDay()`.
Methods in java.time.zone with parameters of type LocalTime
Modifier and Type
Method
Description
`static ZoneOffsetTransitionRule`
ZoneOffsetTransitionRule.`of(Month month, int dayOfMonthIndicator, DayOfWeek dayOfWeek, LocalTime time, boolean timeEndOfDay, ZoneOffsetTransitionRule.TimeDefinition timeDefinition, ZoneOffset standardOffset, ZoneOffset offsetBefore, ZoneOffset offsetAfter)`
Obtains an instance defining the yearly rule to create transitions between two offsets.